module.exports = function SimpleRouter(routesConfiguration, requestPath){
  let params = null
  let route = routesConfiguration.find(routeConfiguration => {
    let routeConfigPath = routeConfiguration.path
    let paramKeys = routeConfigPath.match(/(:[a-z]+)/gi) || []
    let regex = '^' + routeConfigPath.replace(/(:[a-z]+)/gi,'(\\w+)') + '$'
    let match = requestPath.match(new RegExp(regex))
    let res = []
    if(match){
      res = [...match.slice(1)]
    }else{
      return null
    }
    
    const result = paramKeys.reduce((acc, param, index) => {
      acc[param.replace(':', '')] = res[index]
      return acc
    }, {})
    
    params = result
    return !!result
  })
  
  return route ? (Object.assign(route, { params: params })) : null
}
