const tap = require('tap')
const SimpleRouter = require('../simple-router')

const routes = [
  {
    path: '/a/:name',
  },
  {
    path: '/:age/:name',
  },
  {
    path: '/a',
  },
  {
    path: '/',
  },
]

var handler = SimpleRouter(routes, '/a/test')
tap.equal(handler.params.name, 'test')

handler = SimpleRouter(routes, '/25/melvin')
tap.equal(handler.params.name, 'melvin')
tap.equal(handler.params.age, '25')

handler = SimpleRouter(routes, '/test')
tap.equal(handler, null)

handler = SimpleRouter([], '/')
tap.equal(handler, null)

handler = SimpleRouter(routes, '/')
tap.equal(handler.path, '/')

handler = SimpleRouter(routes, '/a')
tap.equal(handler.path, '/a')


